Subject: Re: Compile timezone files on a Tru64 => ERROR
From: francois reygagne <[email-masked]>
To: "Olson, Arthur David (NCI)" <[email-masked]>
Date: Wed, 18 Apr 2001 15:36:22 +0200

Thanks for your help.
I put in comment the SDATA line setting as follow
#SDATA=  solar87 solar88 solar89
the produce the zic binary and finally use it to generate the zoneinfo files
and it works. I never got the message "solar87", line 385: too many local time
types (rule from "solar87", line 33).

But I succeed to use the solarXX files whithout disabling the SDATA setting; I
just put in comment
the lines of solar87 solar88 solar89.
What's the best solution ?

Anyway, what's feature the solarYY files presents sun daylight saving ?
and when we put in comment SDATA, what's services may be missing ?

"Olson, Arthur David (NCI)" wrote:

> You probably have a Makefile with a
>
>         CFLAGS= ... -DNOSOLAR ...
>
> line in it. If that's the problem, either
>         1. Remove the "-DNOSOLAR" from the "CFLAGS=" line
> or
>         2. Comment out (or remove) the "SDATA=" line in the Makefile.
>
>                                 --ado
>
> -----Original Message-----
> From: francois reygagne [mailto:[email-masked]]
> Sent: Tuesday, April 17, 2001 4:07 PM
> To: [email-masked]
> Cc: Tz (E-mail)
> Subject: zic: Compile timezone files on a Tru64 => ERROR
>
> I'm building the timezone files on a Tru64 machine and I receive from zic
> the
> error as bellow:
>
> zic -l CETCEST africa antarctica asia australasia backward etcetera europe
> factory northamerica pacificnew southamerica systemv solar87 solar88 solar89
> "solar87", line 385: too many local time types (rule from "solar87", line
> 33)
>
> My Machine is OSF1 atopo01.opteway.com V5.0 1094 alpha and I got the latest
> olson
> tzdata
> tzdata2001a:
> africa         backward       iso3166.tab    solar87        systemv
> zone.tab
> antarctica     etcetera       leapseconds    solar88        yearistype.sh
> asia           europe         northamerica   solar89
> australasia    factory        pacificnew     southamerica
>
> Please , have you an idea of this problem which prevents me from building
> the
> complete suite of timezone data files.
> The list of compiled timezone files is uncomplete as yoy can see bellow:
> bash-2.04$ cd /etc/zoneinfo
> bash-2.04$ ls
> Africa      Asia        CET         Europe      MET
> America     Atlantic    EET         Factory     Pacific
> Antarctica  Australia   Etc         Indian      WET
>
> The files bellow are not produced by the interrupted zic command
> Arctic  Brazil Canada Chile  CST6CDT Cuba  Egypt  Eire EST EST5EDT GB
> GB-Eire
> GMT  GMT+0  GMT-0  GMT0
> Greenwich  Hongkong HST  Iceland  Iran  Israel  Jamaica Japan Kwajalein
> Libya
> .....
>
> Thanks for your help.
>
> François REYGAGNE. Software Architect.
> opt[e]way S.A., 2881 route des Crêtes, BP308
> 06906 Sophia Antipolis Cedex, FRANCE
> tél: +33 (0)4 92 95 27 01    http://www.opteway.com

--
François REYGAGNE. Software Architect.
opt[e]way S.A., 2881 route des Crêtes, BP308
06906 Sophia Antipolis Cedex, FRANCE
tél: +33 (0)4 92 95 27 01    http://www.opteway.com